Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.mapping
Interface Fetchable

All Known Implementing Classes:
  Array, Bag, Collection, IdentifierBag, IdentifierCollection, IndexedCollection, List, ManyToOne, Map, OneToOne, PrimitiveArray, Set, ToOne

    public interface Fetchable

Any mapping with an outer-join attribute

Method Summary
`FetchMode` | `getFetchMode()`
`boolean` | `isLazy()`
`void` | `setFetchMode(FetchMode joinedFetch)`
`void` | `setLazy(boolean lazy)`

Method Detail

### getFetchMode

    FetchMode getFetchMode()

### setFetchMode

    void setFetchMode(FetchMode joinedFetch)

### isLazy

    boolean isLazy()

### setLazy

    void setLazy(boolean lazy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.